Enemy = Object:extend()

enemies_count = 0

function Enemy:new(x, y, typeof, x_speed)
	self.x = x
	self.y = y
	self.typeof = typeof
	self.x_speed = x_speed
	enemies_count = enemies_count + 1
end

function Enemy:jump()
	self.y = self.y + 64
	self.x_speed = - self.x_speed
end

function Enemy:update(dt)
	self.x = self.x + (self.x_speed * dt)
	if self.x <= 0 then
		self.x = 0
		enemies_jump()
	end
	if self.x + 64 >= WINDOW_WIDTH then
		self.x = WINDOW_WIDTH - 64
		enemies_jump()
	end
end

function Enemy:draw()
	if self.typeof == "alien1" then
	  love.graphics.draw(spritesheet, alien1, self.x, self.y, 0, 4, 4)
	  elseif self.typeof == "alien2" then
	 	love.graphics.draw(spritesheet, alien2, self.x, self.y, 0, 4, 4)
	  else
		love.graphics.draw(spritesheet, alien3, self.x, self.y, 0, 4, 4)
	end
end